/* Size of buffer that holds the IMAP command to be sent. */
#define SMALL_CMD			64
#define MEDIUM_CMD			256
#define BIG_CMD				8192

/*
 * Size of buffer that holds the DATE, FROM and SUBJECT headers of the
 * message to be deleted.
 */
#define HEADERS_MAX			1024

#define custom_header(A)		((A) ? "HEADER " : "")


int send_command(char *cmd);
#ifdef DEBUG
int imap_noop(void);
#endif
int imap_logout(void);
int imap_login(account_t * ca);
int imap_select(void);
int imap_status(void);
int imap_search(char *res);
int imap_fetch(unsigned int m, char *res);
int imap_store(unsigned int m);
int imap_expunge(void);
void gen_search_filters(char *cmd);
void gen_search_limits(char *cmd);
void gen_deny_filters(char *cmd);
void gen_allow_filters(char *cmd, char *key);
void del_messages(char *msgs);
