/* Flags that control the program options that have been selected. */
#define OPT_TEST_MODE			0x00000001
#define OPT_TEST_MODE_STICKY		0x00000002
#define OPT_DETAILS_QUITE		0x00000004
#define OPT_DETAILS_NORMAL		0x00000008
#define OPT_DETAILS_VERBOSE		0x00000010
#define OPT_DETAILS_CLEAR		0xffffffe3
#define OPT_SHOW_HEADERS		0x00000020
#define OPT_UNSEEN_ONLY			0x00000040

/* Lengths of strings to save account settings. */
#define SERVER_MAX			128
#define USERID_MAX			64
#define PASSWD_MAX			32

/* Lengths of strings that comprise the HEADER of a filter. */
#define FIELD_NAME_MAX			64
#define FIELD_BODY_MAX			512

#define min(A, B)			((A) < (B) ? (A) : (B))


/* Account settings. */
typedef struct account {
    char server[SERVER_MAX];	/* Hostname of mail server. */
    unsigned short int port;	/* Port to connect. */
    char userid[USERID_MAX];	/* Username. */
    char passwd[PASSWD_MAX];	/* Password. */
    struct account *next;	/* Next node of linked list. */
} account_t;

/* A header filter entry. */
typedef struct filter {
    char name[FIELD_NAME_MAX];	/* Header field name. */
    int custom;			/* If field name one of FROM, TO,
				   CC, BCC, SUBJECT then zero. */
    char body[FIELD_BODY_MAX];	/* Header field body. */
    struct filter *next;	/* Next node of linked list. */
} filter_t;


void apply_filters(void);
void usage(void);
